{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <p class='description'>{{ project.description }}</p>
            <h2>tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">create a new task</a>
            </p>
            {% if project.tasks.count == 0 %}
                <p>this project has no tasks</p>
            {% else %}
                <table class="styled-table">
                    <thead>
                        <tr>
                            <th>name</th>
                            <th>assigneee</th>
                            <th>start date</th>
                            <th>due date</th>
                            <th>is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
